<?php

/**
 * Class that operate on table 'sellbillcurr'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2023-03-07 01:57
 */
class SellbillcurrMySqlExtDAO extends SellbillcurrMySqlDAO {

    public function updateSaveConversionFactor($saveConversionFactor, $id) {
        $sql = 'UPDATE sellbillcurr SET saveConversionFactor = ' . $saveConversionFactor . ' WHERE id = ' . $id;
        $sqlQuery = new SqlQuery($sql);
        return $this->executeUpdate($sqlQuery);
    }

    public function queryOneBySellbillid($value) {
        $sql = 'SELECT * FROM sellbillcurr WHERE sellbillid = ?';
        $sqlQuery = new SqlQuery($sql);
        $sqlQuery->setNumber($value);
        return $this->getRow($sqlQuery);
    }

}

?>